<?php
include '../../includes/db.php';
include '../../includes/functions.php';
check_admin();

$pageTitle = "Manage Packages";
include '../includes/header.php';
include '../includes/sidebar.php';
include '../includes/topbar.php';
?>
<!-- Begin Page Content -->
<div class="container-fluid">
    <!-- Page Heading -->
    <div class="d-sm-flex align-items-center justify-content-between mb-4">
        <h1 class="h3 mb-0 text-gray-800">Manage Packages</h1>
        <a href="add_package.php" class="d-none d-sm-inline-block btn btn-sm btn-primary shadow-sm"><i class="fas fa-plus fa-sm text-white-50"></i> Add Package</a>
    </div>

    <!-- Content Row -->
    <div class="row">
        <div class="col-lg-12">
            <div class="card shadow mb-4">
                <div class="card-header py-3">
                    <h6 class="m-0 font-weight-bold text-primary">Package List</h6>
                </div>
                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                            <thead>
                                <tr>
                                    <th>ID</th>
                                    <th>Name</th>
                                    <th>Features</th>
                                    <th>Monthly Price</th>
                                    <th>Yearly Price</th>
                                    <th>Actions</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php
                                $stmt = $conn->prepare("SELECT * FROM packages");
                                $stmt->execute();
                                $packages = $stmt->fetchAll(PDO::FETCH_ASSOC);
                                foreach ($packages as $package):
                                ?>
                                <tr>
                                    <td><?php echo htmlspecialchars($package['id']); ?></td>
                                    <td><?php echo htmlspecialchars($package['name']); ?></td>
                                    <td><?php echo nl2br(htmlspecialchars($package['features'])); ?></td>
                                    <td><?php echo htmlspecialchars($package['monthly_price']); ?></td>
                                    <td><?php echo htmlspecialchars($package['yearly_price']); ?></td>
                                    <td>
                                        <a href="edit_package.php?id=<?php echo htmlspecialchars($package['id']); ?>" class="btn btn-info btn-sm">Edit</a>
                                        <a href="delete_package.php?id=<?php echo htmlspecialchars($package['id']); ?>" class="btn btn-danger btn-sm">Delete</a>
                                    </td>
                                </tr>
                                <?php endforeach; ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- /.container-fluid -->

<?php include '../includes/footer.php'; ?>
