<?php
include('../../includes/db.php');
include('../../includes/functions.php');
check_login();
check_user();

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $ticket_id = $_POST['ticket_id'];
    $user_id = $_SESSION['user_id'];
    $message = $_POST['message'];

    // Ensure the ticket ID is valid and get the database ID
    $stmt = $conn->prepare("SELECT id FROM tickets WHERE ticket_id = ?");
    $stmt->execute([$ticket_id]);
    $ticket = $stmt->fetch(PDO::FETCH_ASSOC);

    if (!$ticket) {
        die('Invalid ticket ID.');
    }

    $ticket_db_id = $ticket['id'];

    // Insert the reply into the ticket_replies table
    $stmt = $conn->prepare("INSERT INTO ticket_replies (ticket_id, user_id, message) VALUES (?, ?, ?)");
    $stmt->execute([$ticket_db_id, $user_id, $message]);

    // Update the ticket's updated_at timestamp
    $stmt = $conn->prepare("UPDATE tickets SET updated_at = NOW() WHERE id = ?");
    $stmt->execute([$ticket_db_id]);

    header("Location: view_ticket.php?id=" . urlencode($ticket_id));
    exit();
}
?>
